/******************************************************************************
 * HI 5323 Image Processing
 *
 * fourierDFT.h
 ******************************************************************************/

#ifndef __FOURIERDFT_H
#define __FOURIERDFT_H

// qt includes
#include <qimage.h>
// application includes
#include <define.h>
#include <complex.h>
#include <fourierview.h>

class FourierDFT
{
  private:
  	QImage* m_pInput;
  	int width, height, size;
  	Complex *F, *origArray;
  	Complex *sum, *row, *colum;

  public:
  	FourierDFT(QImage *pInput);

  	void oneDDFT(int sign, int width, Complex *line);

  	Complex *twoDDFT();
  	Complex *inverse2DDFT();
};
#endif
