/******************************************************************************
 * HI 5323 Image Processing
 *
 * prog3a.cpp
 ******************************************************************************/

// stdlib includes
#include <iostream>
using namespace std;
#include <cmath>
// qt includes
#include <qapplication.h>
#include <qwidget.h>
#include <qimage.h>
// application includes
#include <fourierDFT.h>
#include <fourierview.h>
#include <complex.h>

int main(int argc, char **argv)
{
    QApplication a(argc, argv);

    QImage oImage(argv[1]);

    GroupBox oMainBox("");
    oMainBox.setColumnLayout( 1, Qt::Horizontal );
    QWidget oImageRenderer( &oMainBox );

    FourierDFT oDFT( &oImage );
    Complex *pDFT = oDFT.twoDDFT();
    FourierView oView( pDFT, &oImage, &oImageRenderer );

    oMainBox.setMinimumSize( oImage.width()*2, oImage.height() );
    oImageRenderer.setMinimumSize( oImage.width()*2, oImage.height() );

    a.setMainWidget( &oMainBox );
    oMainBox.show();

    return a.exec();
}
